/*
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package swagger

type ArticleSearch struct {

	// Search term
	SearchFor string `json:"search_for,omitempty"`

	// Page number. Used for pagination with page_size
	Page int64 `json:"page,omitempty"`

	// The number of results included on a page. Used for pagination with page
	PageSize int64 `json:"page_size,omitempty"`

	// Number of results included on a page. Used for pagination with query
	Limit int64 `json:"limit,omitempty"`

	// Where to start the listing(the offset of the first result). Used for pagination with limit
	Offset int64 `json:"offset,omitempty"`

	// Direction of ordering
	OrderDirection string `json:"order_direction,omitempty"`

	// only return collections from this institution
	Institution int32 `json:"institution,omitempty"`

	// Filter by article publishing date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
	PublishedSince string `json:"published_since,omitempty"`

	// Filter by article modified date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
	ModifiedSince string `json:"modified_since,omitempty"`

	// only return collections from this group
	Group int32 `json:"group,omitempty"`

	// Only return articles with this resource_doi
	ResourceDoi string `json:"resource_doi,omitempty"`

	// Only return articles with the respective type. Mapping for item_type is: 1 - Figure, 2 - Media, 3 - Dataset, 5 - Poster, 6 - Journal contribution, 7 - Presentation, 8 - Thesis, 9 - Software, 11 - Online resource, 12 - Preprint, 13 - Book, 14 - Conference contribution, 15 - Chapter, 16 - Peer review, 17 - Educational resource, 18 - Report, 19 - Standard, 20 - Composition, 21 - Funding, 22 - Physical object, 23 - Data management plan, 24 - Workflow, 25 - Monograph, 26 - Performance, 27 - Event, 28 - Service, 29 - Model
	ItemType int64 `json:"item_type,omitempty"`

	// Only return articles with this doi
	Doi string `json:"doi,omitempty"`

	// Only return articles with this handle
	Handle string `json:"handle,omitempty"`

	// Only return articles in this project
	ProjectId int64 `json:"project_id,omitempty"`

	// The field by which to order
	Order string `json:"order,omitempty"`
}
