/*
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package swagger

type RelatedMaterial struct {

	// The ID of the related material; can be used to add existing materials of the same account to items.
	Id int64 `json:"id,omitempty"`

	// The related material identifier (e.g., DOI, Handle, ISBN). Mandatory if creating a new material.
	Identifier string `json:"identifier,omitempty"`

	// The related material title
	Title string `json:"title,omitempty"`

	// The relation between the item and the related material; defaults to 'References'. Mandatory if creating a new material.
	Relation string `json:"relation,omitempty"`

	// The type of the identifier of the related material; defaults to 'URL'. Mandatory if creating a new material.
	IdentifierType string `json:"identifier_type,omitempty"`

	// Flag for highlighting this related material in the call-out box
	IsLinkout bool `json:"is_linkout,omitempty"`

	// The full hyperlink for the identifier. Automatically generated by Figshare.
	Link string `json:"link,omitempty"`
}
